#
# spec file for package ghc-pandoc-server
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name pandoc-server
Name:           ghc-%{pkg_name}
Version:        0.1.0.4
Release:        150500.11.3.1
Summary:        Pandoc document conversion as an HTTP servant-server
License:        GPL-2.0-or-later
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-doctemplates-devel
BuildRequires:  ghc-pandoc-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-skylighting-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unicode-collation-devel
BuildRequires:  ghc-wai-cors-devel
BuildRequires:  ghc-wai-devel
ExcludeArch:    %{ix86}

%description
Pandoc-server provides pandoc's document conversion functions in an HTTP
server.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license COPYING.md

%files devel -f %{name}-devel.files

%changelog
* Tue Dec 12 2023 psimons@suse.com
- Update pandoc-server to version 0.1.0.4.
  Upstream does not provide a change log file.
* Thu Aug 31 2023 psimons@suse.com
- Add pandoc-server at version 0.1.0.3.
